[SURBL-Discuss] Re: Syntax error on line 1 near eval:

David Groce dgroce at nksd.wednet.edu
Mon Jul 26 18:30:52 CEST 2004


I can't find the Perl::URI to reinstall.  I've reinstalled Spamassassin
multiple times trying to fix this.  If someone can point me to the name of
URI package that I can reinstall (not called Perl::URI that I can tell) I'll
try that.

-----Original Message-----
From: discuss-bounces at lists.surbl.org
[mailto:discuss-bounces at lists.surbl.org]On Behalf Of Jeff Chan
Sent: Monday, July 26, 2004 5:19 PM
To: Spam Assassin List; SURBL List
Subject: [SURBL-Discuss] Re: Syntax error on line 1 near eval:


On Monday, July 26, 2004, 4:12:05 PM, Jeff Chan wrote:
> On Monday, July 26, 2004, 4:00:53 PM, David Groce wrote:
>> I am cross posting, but I need to find an answer quick.  I finally
removed
>> my rpm installation of Spamassassin and installed via CPAN, which allowed
me
>> to install the SpamCopURI plugin as well.  When I run spamassssin --lint,
I
>> get an error on the SpamCopURI.cf
>> Specifically:

>> Failed to compile URI SpamAssassin tests, skipping:
>>         (syntax error at /etc/mail/spamassassin/spamcop_uri.cf, rule
>> SPAMCOP_URI_RBL, line 1, near "eval:"

>> Any ideas why this might be?  I've also had problems with SpamAssassin
>> itself since installed via CPAN, where I see these errors:

>> Scalar found where operator expected at (eval 17) line 686, near "}
$self"
>>         (Missing operator before  $self?)
>> Failed to run header SpamAssassin tests, skipping some: syntax error at
>> (eval 17) line 686, near "} $self"

>> Any guesses there?  Perhaps related to the SpamCopURI plugin?

> Which version of SpamAssassin are you running?  SA 3 does not
> need SpamCopURI or the eval.

David wrote that he's using SA 2.63.  Can anyone offer some
suggestions?  Sounds like a broken SA install to me....

By the way Gerry Doris reported similar issues earlier:

>> >> However, I did get everything working by removing "eval:" in each of
the
>> >> rules.  My system for some reason doesn't like eval:
>>
>> > Hmmm, you must be running a pre 3.0 version of SA then, because 2.61
with
>> > the SpamCopURI plug-in needs the eval entry, however 3.0 does not
because it
>> > uses a different architecture: URIDNSBL.  If you are running a 3.0
version,
>> > then you are probably running your tests twice, since 3.0 already
includes
>> > the URIDNSBL tests.  Also, you do not need to install the SpamCopURI
plug-in
>> > with 3.0 versions of SA.
>>
>> Gerry, can you confirm which version of SA you are running?
>>
>> Jeff C.
>
> I was/am running SA 2.63 on a Fedora 1 system.  I started to notice some
> other strange things happening after I did the URI and SpamCopURI upgrade
> in addition to the "eval:" problem I was having.
>
> I decided to go back and completely reinstall SA 2.63 and the two URI
> modules.  Now the "eval:" line is working properly and the other weird
> stuff has stopped.
>
> Sorry, but it looks like I had a hiccup during the install.  All is
> working now.

and solved it by reinstalling SA and Perl::URI (presumably
and SpamCopURI.

Jeff C.
--
Jeff Chan
mailto:jeffc at surbl.org
http://www.surbl.org/

_______________________________________________
Discuss mailing list
Discuss at lists.surbl.org
http://lists.surbl.org/mailman/listinfo/discuss



More information about the Discuss mailing list